import { Event, EventId, Person, PersonalBest, RankingType, Result } from '@wca/helpers';
/**
 * "Scores" People's results or PRs and sorts differently depending on roundNumber.
 * People's scores
 * @param {Event} event
 * @param {ActivityCode} roundId
 * @param {Result[]} roundResults
 * @returns
 */
export declare const byPROrResult: (event: Event, roundNumber: number) => (personA: Person, personB: Person) => number;
/**
 * Comparator for array.sort
 * TODO: cleanup
 */
export declare const byPsychsheet: (eventId: EventId) => (a: Person, b: Person) => number;
/**
 * Comparator for array.sort
 * Sorts people by their ranking in the round
 * @param {*} results
 * @returns
 */
export declare const byResult: (results: Result[]) => (a: Person, b: Person) => number;
export declare const findPR: (personalBests: PersonalBest[], eventId: EventId, type: RankingType) => PersonalBest | undefined;
//# sourceMappingURL=persons.d.ts.map